# classes/phing/tasks/ext/git/GitTagTask.php

## \GitTagTask
jump to top

Wrapper around git-tag

Use {@link Project#createTask} to register a new Task.

Extends from
  \GitBaseTask
see
  \VersionControl_Git
author
  Evan Kaufman
author
  Victor Farazdagi
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.tasks.ext.git
since
  2.4.5
version
  $Id: GitTagTask.php 1052 2011-03-02 20:33:54Z victor $

### Properties

`boolean $annotate= 'false'`

Make unsigned, annotated tag object. See -a of git-tag

Default value `false` Details

Type
  boolean

`string $commit= ''`

<commit> argument to git-tag

Details

Type
  string

`string $contains= ''`

Only list tags containing specified commit. See --contains of git-tag

Details

Type
  string

`boolean $delete= 'false'`

Delete existing tags with given names. See -d of git-tag

Default value `false` Details

Type
  boolean

`string $file= ''`

Take tag message from given file. See -F of git-tag

Details

Type
  string

`string $keySign= ''`

Make GPG-signed tag, using given key. See -u of git-tag

Details

Type
  string

`boolean $list= 'false'`

List tags with names matching given pattern. See -l of git-tag

Default value `false` Details

Type
  boolean

`string $message= ''`

Use given tag message. See -m of git-tag

Details

Type
  string

`string $name= ''`

<tagname> argument to git-tag

Details

Type
  string

`int $num= ''`

<num> specifies how many lines from the annotation, if any, are printed when using -l. See -n of git-tag

Details

Type
  int

`string $object= ''`

<object> argument to git-tag

Details

Type
  string

`string $outputProperty= ''`

Property name to set with output value from git-tag

Details

Type
  string

`string $pattern= ''`

<pattern> argument to git-tag

Details

Type
  string

`boolean $replace= 'false'`

Replace existing tag with given name. See -f of git-tag

Default value `false` Details

Type
  boolean

`boolean $sign= 'false'`

Make GPG-signed tag. See -s of git-tag

Default value `false` Details

Type
  boolean

`boolean $verify= 'false'`

Verify gpg signature of given tag names. See -v of git-tag

Default value `false` Details

Type
  boolean

### Methods

`getAnnotate( ) :`
`getCommit( ) :`
`getContains( ) :`
`getDelete( ) :`
`getFile( ) :`
`getKeySign( ) :`
`getList( ) :`
`getMessage( ) :`
`getName( ) :`
`getNum( ) :`
`getObject( ) :`
`getPattern( ) :`
`getReplace( ) :`
`getSign( ) :`
`getVerify( ) :`
`isAnnotate( ) :`
`isDelete( ) :`
`isList( ) :`
`isReplace( ) :`
`isSign( ) :`
`isVerify( ) :`
`main( ) :`
The main entry point for the task
`setAnnotate( $flag ) :`
Parameters

Name | Type | Description
--- | --- | ---
$flag |  |

`setCommit( $commit ) :`
Parameters

Name | Type | Description
--- | --- | ---
$commit |  |

`setContains( $commit ) :`
Parameters

Name | Type | Description
--- | --- | ---
$commit |  |

`setDelete( $flag ) :`
Parameters

Name | Type | Description
--- | --- | ---
$flag |  |

`setFile( $file ) :`
Parameters

Name | Type | Description
--- | --- | ---
$file |  |

`setForce( $flag ) :`
Parameters

Name | Type | Description
--- | --- | ---
$flag |  |

`setKeySign( $keyId ) :`
Parameters

Name | Type | Description
--- | --- | ---
$keyId |  |

`setList( $flag ) :`
Parameters

Name | Type | Description
--- | --- | ---
$flag |  |

`setMessage( $msg ) :`
Parameters

Name | Type | Description
--- | --- | ---
$msg |  |

`setName( $name ) :`
Parameters

Name | Type | Description
--- | --- | ---
$name |  |

`setNum( $num ) :`
Parameters

Name | Type | Description
--- | --- | ---
$num |  |

`setObject( $object ) :`
Parameters

Name | Type | Description
--- | --- | ---
$object |  |

`setOutputProperty( $prop ) :`
Parameters

Name | Type | Description
--- | --- | ---
$prop |  |

`setPattern( $pattern ) :`
Parameters

Name | Type | Description
--- | --- | ---
$pattern |  |

`setReplace( $flag ) :`
Parameters

Name | Type | Description
--- | --- | ---
$flag |  |

`setSign( $flag ) :`
Parameters

Name | Type | Description
--- | --- | ---
$flag |  |

`setVerify( $flag ) :`
Parameters

Name | Type | Description
--- | --- | ---
$flag |  |

Documentation was generated by DocBlox 0.13.1.